%global momorel 6

Name:           perl-IPC-Run3
Version:        0.043
Release:        %{momorel}m%{?dist}
Summary:        Run a subprocess with input/ouput redirection
License:        "OSI-Approved, see LICENSE"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IPC-Run3/
Source0:	http://www.cpan.org/authors/id/R/RJ/RJBS/IPC-Run3-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module allows you to run a subprocess and redirect stdin, stdout,
and/or stderr to files and perl data structures. It aims to satisfy 99%
of the need for using system, qx, and open3 with a simple, extremely
Perlish API.

%prep
%setup -q -n IPC-Run3-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/IPC/Run3
%{perl_vendorlib}/IPC/Run3.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.043-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.043-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.043-4m)
- rebuild against perl-5.12.0

* Mon Jan 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.043-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.043-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Sep 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.043-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
